Project

Profile

Help

Issue #4884

Updated by bherring about 2 years ago

h2. Problem

During the installation of Pulp 2, there is a migration failure.

Pulp 2 fails to install on CI

h3. Failure Meta Information

*Failure Type:* Regression (Installation)
*Failure First Seen:* May 29th, 2019
*Failure Point:* Installation of 2-master Pulp (2.20)
*Install Type:* Legacy CI Ansible Playbook* Playbook
*
Failure Point:* https://github.com/pulp/pulp-ci/blob/2e01faaa92710d6f82ace655e3a8ae7baf007e78/ci/ansible/roles/pulp/tasks/main.yaml#L232

h3. journalctl

<pre>
May 29 07:55:39 rhel76-test pulp[7817]: pulp.plugins.loader.manager:INFO: Loading auxiliary model: erratum_pkglists = pulp_rpm.plugins.db.models:ErratumPkglist
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Applying pulp_deb.plugins.migrations version 1
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Migration to pulp_deb.plugins.migrations version 1 complete in 0.002 seconds.
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Applying pulp_deb.plugins.migrations version 2
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.migrations.lib.utils:INFO: *******************************************************************************
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Migration to pulp_deb.plugins.migrations version 2 complete in 0.003 seconds.
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Applying pulp_deb.plugins.migrations version 3
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.migrations.lib.utils:INFO: *******************************************************************************
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Migration to pulp_deb.plugins.migrations version 3 complete in 0.003 seconds.
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:INFO: Applying pulp_deb.plugins.migrations version 4
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) Applying migration pulp_deb.plugins.migrations.0004_add_distribution failed.
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872)
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) Halting migrations due to a migration failure.
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: log() takes at least 3 arguments (2 given)
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) Traceback (most recent call last):
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 280, in main
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) return _auto_manage_db(options)
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 347, in _auto_manage_db
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) migrate_database(options)
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 175, in migrate_database
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) update_current_version=not options.test)
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) File "/usr/lib/python2.7/site-packages/pulp/server/db/migrate/models.py", line 206, in apply_migration
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) migration.migrate()
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) File "/usr/lib/python2.7/site-packages/pulp_deb/plugins/migrations/0004_add_distribution.py", line 57, in migrate
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) _logger.log(str(exception))
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872) TypeError: log() takes at least 3 arguments (2 given)
May 29 07:55:40 rhel76-test pulp[7817]: pulp.server.db.manage:CRITICAL: (7817-75872)
</pre>

Back